PETSc version 3.15.5
Fix/Edit manual page

# MatPartitioningChacoSetEigenNumber

Sets the number of eigenvectors to compute during partitioning.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetEigenNumber(MatPartitioning part,PetscInt num)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| num | - the number of eigenvectors

### Options Database

| -mat_partitioning_chaco_eigen_number <n>: Number of eigenvectors

### Note

Accepted values are 1, 2 or 3, indicating partitioning by bisection, quadrisection, or octosection.

### See Also

MatPartitioningChacoSetEigenSolver(), MatPartitioningChacoGetEigenTol()

### Level

advanced

### Location

src/mat/partition/impls/chaco/chaco.c

### Implementations

MatPartitioningChacoSetEigenNumber_Chaco in src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages